cancel
Showing results for 
Search instead for 
Did you mean: 

How to (Check) Upgrade to Python 3.9 ? (SAP DI on-premise 3.2.69)

HWO
Explorer
0 Kudos

Hi everyone,

I want to make sure that our freshly installed SAP DI on-premise system (3.2.69) uses Python 3.9 since support for python 3.6 has ended. Therefore I added the necessary "vrelease-py39" solution via tenant administrator, see SAP Note 3132718

However JupyterNotebook does not use the new Python version:

"import sys
print(sys.executable)
print(sys.version)
print(sys.version_info)"

-->

/opt/conda/bin/python
3.7.3 (default, Mar 27 2019, 22:11:17) 
[GCC 7.3.0]
sys.version_info(major=3, minor=7, micro=3, releaselevel='final', serial=0)

Python/Jupyter-Operator in Pipeline Modeler still use Python 3.6 (or at least the documentation says)

How do I make sure both use the 3.9 version? Why does a newly installed version (yesterday) even use the old python files?

Any in-depth instruction would be helpful,

Kind Regards

Accepted Solutions (0)

Answers (2)

Answers (2)

CobyKako
Advisor
Advisor

Hello Tobias,

This is a known issue we track under JIRA number DMPM-738: sync up the Python runtime versions for Pipeline modeler and Jupyter notebooks.

babacar.toure fyi

HWO
Explorer
0 Kudos

Hi Jacob, Hi Babacar,


is there any update regarding this issue?

Am I correct in assuming that I can't get access to this JIRA and watch that specific issue?

Kind Regards

BillyJoe
Product and Topic Expert
Product and Topic Expert
0 Kudos

hi Tobias,

No, you can't. This JIRA item was not supposed to be posted here also...

Please follow our SAP standard process to request this feature:

https://launchpad.support.sap.com/#/notes/3146388

Regards,

Babacar